[Lenovo ThinkPad X240] RTS5227 card reader not recognized on running Ubuntu 14.04

Bug #1329566 reported by Jim Bednar
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

According to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1153618, support for the RTS5227 SD card reader was added in 2013 for kernel version 3.5.0. However, SD cards are not recognized for my Lenovo Thinkpad X240 running the much later release Ubuntu 14.04 with kernel version 3.13.0, for which lspci reports:

02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)

That appears to be the same symptom as when there was no support at all. Any idea what happened to the support for this SD card reader, or what I can do to work around it?

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-29-generic 3.13.0-29.53
ProcVersionSignature: Ubuntu 3.13.0-29.53-generic 3.13.11.2
Uname: Linux 3.13.0-29-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jbednar 1939 F.... pulseaudio
 /dev/snd/controlC1: jbednar 1939 F.... pulseaudio
CurrentDesktop: Unity
Date: Fri Jun 13 01:31:35 2014
HibernationDevice: RESUME=UUID=81e29d41-40af-46b4-a21b-65dc0926893f
InstallationDate: Installed on 2014-04-18 (55 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: LENOVO 20AL007YUK
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-29-generic root=UUID=6056689d-ecb4-4549-9682-f1c5b878caa5 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-29-generic N/A
 linux-backports-modules-3.13.0-29-generic N/A
 linux-firmware 1.127.2
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/08/2014
dmi.bios.vendor: LENOVO
dmi.bios.version: GIET67WW (2.17 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20AL007YUK
dmi.board.vendor: LENOVO
dmi.board.version: 0B98401 PRO
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGIET67WW(2.17):bd01/08/2014:svnLENOVO:pn20AL007YUK:pvrThinkPadX240:rvnLENOVO:rn20AL007YUK:rvr0B98401PRO:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20AL007YUK
dmi.product.version: ThinkPad X240
dmi.sys.vendor: LENOVO

Revision history for this message
Jim Bednar (jbednar) wrote :
tags: added: bios-outdated-2.24
Changed in linux (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
summary: - RTS5227 card reader not recognized on Lenovo Thinkpad X240 running
+ [Lenovo ThinkPad X240] RTS5227 card reader not recognized on running
Ubuntu 14.04
Revision history for this message
Jim Bednar (jbednar) wrote : [Bug 1329566] Re: RTS5227 card reader not recognized on Lenovo Thinkpad X240 running Ubuntu 14.04

| From: Christopher M. Penalver
| Date: Jun 13 00:55:10 2014 -0000
|
| Jim Bednar, thank you for reporting this and helping make Ubuntu
| better. As per http://download.lenovo.com/express/ddfm.html an
| update to your BIOS is available (2.24). If you update to this
| following https://help.ubuntu.com/community/BiosUpdate does it
| change anything?

Thanks. I've updated the BIOS, but I don't see any change in
behavior. In the process, I did btw check that the card reader works
fine in Windows 7.

| If it doesn't, could you please both specify what happened, and
| provide the output of the following terminal command: sudo
| dmidecode -s bios-version && sudo dmidecode -s bios-release-date

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
GIET74WW (2.24 )
05/13/2014

$ lspci | \grep Realtek 02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)

--
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Jim Bednar, could you please test the latest upstream kernel available from the first line at the top page (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.15

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-2.24
removed: bios-outdated-2.24
Changed in linux (Ubuntu):
importance: Low → Medium
Revision history for this message
Jim Bednar (jbednar) wrote : [Bug 1329566] Re: [Lenovo ThinkPad X240] RTS5227 card reader not recognized on running Ubuntu 14.04
Download full text (5.1 KiB)

| From: Christopher M. Penalver
| Date: Jun 13 02:31:09 2014 -0000
|
| Jim Bednar, could you please test the latest upstream kernel
| available from the first line at the top page (not the daily
| folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It
| will allow additional upstream developers to examine the
| issue. Once you've tested the upstream kernel, please comment on
| which kernel version specifically you tested. If this bug is fixed
| in the mainline kernel, please add the following tags:
| kernel-fixed-upstream kernel-fixed-upstream-VERSION-NUMBER

I tried, but failed to get the latest kernel to work. The output from
my attempt is below, showing an error when installing, and when
rebooting into kernel-3.15 the system halted with "Kernel panic -- not
syncing: No init found." I've rebooted into the slightly older kernel
(3.13), which works as it did before, but I don't know how I can test
3.15 right now.

Jim

$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-utopic/linux-headers-3.15.0-031500_3.15.0-031500.201406111300_all.deb
...
$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-utopic/linux-headers-3.15.0-031500-generic_3.15.0-031500.201406111300_i386.deb
...
$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-utopic/linux-image-3.15.0-031500-generic_3.15.0-031500.201406111300_i386.deb
...
$ sudo dpkg -i linux-image-3.15.0-031500-generic_3.15.0-031500.201406111300_i386.deb linux-headers-3.15.0-031500_3.15.0-031500.201406111300_all.deb linux-headers-3.15.0-031500-generic_3.15.0-031500.201406111300_i386.deb
(Reading database ... 304049 files and directories currently installed.)
Preparing to unpack linux-image-3.15.0-031500-generic_3.15.0-031500.201406111300_i386.deb ...
debconf: Unable to initialise frontend: Dialog
debconf: (Dialogue frontend will not work on a dumb terminal, an Emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
Done.
Unpacking linux-image-3.15.0-031500-generic (3.15.0-031500.201406111300) over (3.15.0-031500.201406111300) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.15.0-031500-generic /boot/vmlinuz-3.15.0-031500-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.15.0-031500-generic /boot/vmlinuz-3.15.0-031500-generic
Selecting previously unselected package linux-headers-3.15.0-031500.
Preparing to unpack linux-headers-3.15.0-031500_3.15.0-031500.201406111300_all.deb ...
Unpacking linux-headers-3.15.0-031500 (3.15.0-031500.201406111300) ...
Preparing to unpack linux-headers-3.15.0-031500-generic_3.15.0-031500.201406111300_i386.deb ...
Unpacking linux-headers-3.15.0-031500-generic (3.15.0-031500.201406111300) over (3.15.0-031500.201406111300) ...
Setting up linux-image-3.15.0-031500-generic (3.15.0-031500.201406111300) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled
(3.15.0-031500.201406111300 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(3.15.0-031500.201406111300 was con...

Read more...

Revision history for this message
Jim Bednar (jbednar) wrote :

| From: James A. Bednar
| Date: Jun 13 04:06:00 2014 +0100
|
| | From: Christopher M. Penalver
| | Date: Jun 13 02:31:09 2014 -0000
| |
| | Jim Bednar, could you please test the latest upstream kernel
| | available from the first line at the top page (not the daily
| | folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It
| | will allow additional upstream developers to examine the
| | issue. Once you've tested the upstream kernel, please comment on
| | which kernel version specifically you tested. If this bug is fixed
| | in the mainline kernel, please add the following tags:
| | kernel-fixed-upstream kernel-fixed-upstream-VERSION-NUMBER
|
| I tried, but failed to get the latest kernel to work. The output from
| my attempt is below, showing an error when installing, and when
| rebooting into kernel-3.15 the system halted with "Kernel panic -- not
| syncing: No init found." I've rebooted into the slightly older kernel
| (3.13), which works as it did before, but I don't know how I can test
| 3.15 right now.

Actually, that's very strange -- I just tried the SD card reader
again, on a lark, and the SD card is now mounted and readable! Yet
this is the same kernel version as I had originally, and lspci still
not apparently doesn't recognize the card reader:

$ mount | \grep mmc
/dev/mmcblk0p1 on /media/jbednar/CANON_DC type vfat (rw,nosuid,nodev,uid=1000,gid=1000,shortname=mixed,dmask=0077,utf8=1,showexec,flush,uhelper=udisks2)
$ lspci | \grep Realtek
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)
$ uname -a
Linux novo 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC
2014 x86_64 x86_64 x86_64 GNU/Linux

I have no explanation.

--
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

Revision history for this message
Jim Bednar (jbednar) wrote :

| From: James A. Bednar
| Date: Jun 13 04:15:22 2014 +0100
|
| | From: James A. Bednar
| | Date: Jun 13 04:06:00 2014 +0100
| |
| | | From: Christopher M. Penalver
| | | Date: Jun 13 02:31:09 2014 -0000
| | |
| | | Jim Bednar, could you please test the latest upstream kernel
| | | available from the first line at the top page (not the daily
| | | folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It
| | | will allow additional upstream developers to examine the
| | | issue. Once you've tested the upstream kernel, please comment on
| | | which kernel version specifically you tested. If this bug is fixed
| | | in the mainline kernel, please add the following tags:
| | | kernel-fixed-upstream kernel-fixed-upstream-VERSION-NUMBER
| |
| | I tried, but failed to get the latest kernel to work. The output from
| | my attempt is below, showing an error when installing, and when
| | rebooting into kernel-3.15 the system halted with "Kernel panic -- not
| | syncing: No init found." I've rebooted into the slightly older kernel
| | (3.13), which works as it did before, but I don't know how I can test
| | 3.15 right now.
|
| Actually, that's very strange -- I just tried the SD card reader
| again, on a lark, and the SD card is now mounted and readable! Yet
| this is the same kernel version as I had originally, and lspci still
| not apparently doesn't recognize the card reader:
|
| $ mount | \grep mmc
| /dev/mmcblk0p1 on /media/jbednar/CANON_DC type vfat (rw,nosuid,nodev,uid=1000,gid=1000,shortname=mixed,dmask=0077,utf8=1,showexec,flush,uhelper=udisks2)
| $ lspci | \grep Realtek
| 02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)
| $ uname -a
| Linux novo 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC
| 2014 x86_64 x86_64 x86_64 GNU/Linux
|
| I have no explanation.

It only worked very briefly, and now it's back to pretending there has
been no card inserted. It's a new machine, and seems unlikely that
the reader is worn out, but perhaps there is a loose connection?

--
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

tags: added: kernel-unable-to-test-3.15
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Jim Bednar, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in linux (Ubuntu):
status: Expired → Incomplete
Revision history for this message
Jim Bednar (jbednar) wrote :
Download full text (3.8 KiB)

| From: Christopher M. Penalver
| Date: Aug 25 10:16:35 2014 -0000
|
| Jim Bednar, could you please test http://cdimage.ubuntu.com/daily-
| live/current/ and advise to the results?
|
| ** Changed in: linux (Ubuntu)
| Status: Expired => Incomplete

Yes, I did try that, using the version from 26 August 2014, and the
symptoms have not changed -- still did not recognize the SD card, and
still shows up as "Unassigned class" in lspci.

I also verified that the SD card reader works fine when this machine
is rebooted into Windows. So, I have no explanation -- why would it
have worked once, for a few minutes, in Ubuntu, and never again
(suggesting something like a flaky connection), but work fine in
Windows (suggesting a software problem)? Seems very mysterious.

Jim

| You received this bug notification because you are subscribed to the bug
| report.
| https://bugs.launchpad.net/bugs/1329566
|
| Title:
| [Lenovo ThinkPad X240] RTS5227 card reader not recognized on running
| Ubuntu 14.04
|
| Status in “linux” package in Ubuntu:
| Incomplete
|
| Bug description:
| According to
| https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1153618, support
| for the RTS5227 SD card reader was added in 2013 for kernel version
| 3.5.0. However, SD cards are not recognized for my Lenovo Thinkpad
| X240 running the much later release Ubuntu 14.04 with kernel version
| 3.13.0, for which lspci reports:
|
| 02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd.
| RTS5227 PCI Express Card Reader (rev 01)
|
| That appears to be the same symptom as when there was no support at
| all. Any idea what happened to the support for this SD card reader,
| or what I can do to work around it?
|
| ProblemType: Bug
| DistroRelease: Ubuntu 14.04
| Package: linux-image-3.13.0-29-generic 3.13.0-29.53
| ProcVersionSignature: Ubuntu 3.13.0-29.53-generic 3.13.11.2
| Uname: Linux 3.13.0-29-generic x86_64
| ApportVersion: 2.14.1-0ubuntu3.2
| Architecture: amd64
| AudioDevicesInUse:
| USER PID ACCESS COMMAND
| /dev/snd/controlC0: jbednar 1939 F.... pulseaudio
| /dev/snd/controlC1: jbednar 1939 F.... pulseaudio
| CurrentDesktop: Unity
| Date: Fri Jun 13 01:31:35 2014
| HibernationDevice: RESUME=UUID=81e29d41-40af-46b4-a21b-65dc0926893f
| InstallationDate: Installed on 2014-04-18 (55 days ago)
| InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
| MachineType: LENOVO 20AL007YUK
| ProcFB: 0 inteldrmfb
| ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-29-generic root=UUID=6056689d-ecb4-4549-9682-f1c5b878caa5 ro quiet splash vt.handoff=7
| RelatedPackageVersions:
| linux-restricted-modules-3.13.0-29-generic N/A
| linux-backports-modules-3.13.0-29-generic N/A
| linux-firmware 1.127.2
| SourcePackage: linux
| UpgradeStatus: No upgrade log present (probably fresh install)
| dmi.bios.date: 01/08/2014
| dmi.bios.vendor: LENOVO
| dmi.bios.version: GIET67WW (2.17 )
| dmi.board.asset.tag: Not Available
| dmi.board.name: 20AL007YUK
| dmi.board.ve...

Read more...

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Jim Bednar, spooky things like booting from Windows intermittently allow somethings to work is uncommon, but not unheard of. It's more towards a timing or firmware issue that linux is not dealing with properly, that obviously Windows has proper support for. Would you be able to boot into http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc2-utopic/ for a mainline test?

tags: added: utopic
Revision history for this message
Jim Bednar (jbednar) wrote :

| From: Christopher M. Penalver
| Date: Aug 30 01:04:59 2014 -0000
|
| Jim Bednar, spooky things like booting from Windows intermittently allow
| somethings to work is uncommon, but not unheard of. It's more towards a
| timing or firmware issue that linux is not dealing with properly, that
| obviously Windows has proper support for.

Sorry if I was unclear -- booting into Windows didn't cause Linux to
work; it simply works fine in Windows, and only worked one time in
Linux (for no reason I know of, but not on the same day as testing
Windows), and otherwise has never worked in Linux.

| Would you be able to boot into
| http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc2-utopic/ for
| a mainline test?

I tried grabbing those .deb files (*all*.deb and *i386*.deb) and
installing them into my live USB system (the one you asked me to set
up last week). However, that system now no longer boots, probably
just because of issues with it not quite being a real filesystem when
installing the kernel .debs. I'm reluctant to try installing them on
my real OS setup, out of fear of making it unbootable too, but if you
think it's safe to do that I can try it.

Jim

--
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Jim Bednar, please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc3-utopic/ . If for whatever reason it doesn't work out, one may uninstall it as advised in https://wiki.ubuntu.com/Kernel/MainlineBuilds .

Revision history for this message
Jim Bednar (jbednar) wrote :

| From: Christopher M. Penalver
| Date: Sep 2 11:09:17 2014 -0000
|
| Jim Bednar, please test the latest mainline kernel via
| http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc3-utopic/ . If for
| whatever reason it doesn't work out, one may uninstall it as advised in
| https://wiki.ubuntu.com/Kernel/MainlineBuilds .

I installed the new kernel on my normal setup as described there, but
ended up with a kernel panic "no init found" on reboot. So I removed
it and ran "sudo update-grub", which brought everything back to
normal.

In any case, the good news is that at least as of today, SD card
reading is working just fine on this machine, even with the stock
kernel (3.13.0), before and after installing and uninstalling the new
kernel! There have been some Ubuntu updates installed over the past
couple of days (not sure what), and maybe that fixed it? Or maybe
it's flaky hardware, and it will stop working in a few days or on the
next reboot.

Note that lspci still says "Unassigned class [ff00]: Realtek
Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)", but
I can read files on the cards just fine.

Jim

--
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Jim Bednar, the kernel was recently updated to 3.13.0-35-generic. I'll mark as Invalid for now. If it starts not working again on this kernel version only (not after another kernel update) please re-open by marking it back to Confirmed.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers